DynamicJava Javadoc: Class TypeDeclaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class TypeDeclaration

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.TypeDeclaration

Direct Known Subclasses:
  ClassDeclaration, InterfaceDeclaration

public abstract class TypeDeclaration
extends Node

This class represents a type declaration

Field Summary
`static java.lang.String` | `ACCESS_FLAGS` The accessFlags property name
`static java.lang.String` | `INTERFACES` The interfaces property name
`static java.lang.String` | `MEMBERS` The members property name
`static java.lang.String` | `NAME` The name property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `TypeDeclaration(int flags, java.lang.String name, java.util.List impl, java.util.List body, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new class declaration

Method Summary
`int` | `getAccessFlags()` Returns the access flags for this class
`java.util.List` | `getInterfaces()` Returns a list that contains the names (String) of the implemented interfaces.
`java.util.List` | `getMembers()` Returns the list of the declared members
`java.lang.String` | `getName()` Returns the name of this class
`void` | `setAccessFlags(int f)` Sets the access flags for this constructor
`void` | `setInterfaces(java.util.List l)` Sets the interfaces (a list of strings)
`void` | `setMembers(java.util.List l)` Sets the members
`void` | `setName(java.lang.String s)` Sets the type's name

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESS_FLAGS

    public static final java.lang.String ACCESS_FLAGS

  The accessFlags property name

### NAME

    public static final java.lang.String NAME

  The name property name

### INTERFACES

    public static final java.lang.String INTERFACES

  The interfaces property name

### MEMBERS

    public static final java.lang.String MEMBERS

  The members property name

Constructor Detail

### TypeDeclaration

    protected TypeDeclaration(int flags,
                              java.lang.String name,
                              java.util.List impl,
                              java.util.List body,
                              java.lang.String fn,
                              int bl,
                              int bc,
                              int el,
                              int ec)

  Creates a new class declaration
  Parameters:
    `flags` - the access flags
    `name` - the name of the class to declare
    `impl` - the list of implemented interfaces (List of Token). Can be null.
    `body` - the list of fields declarations
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if name is null or body is null

Method Detail

### getAccessFlags

    public int getAccessFlags()

  Returns the access flags for this class

### setAccessFlags

    public void setAccessFlags(int f)

  Sets the access flags for this constructor

### getName

    public java.lang.String getName()

  Returns the name of this class

### setName

    public void setName(java.lang.String s)

  Sets the type's name
  Throws:
    `java.lang.IllegalArgumentException` - if s is null

### getInterfaces

    public java.util.List getInterfaces()

  Returns a list that contains the names (String) of the implemented interfaces. Can be null.

### setInterfaces

    public void setInterfaces(java.util.List l)

  Sets the interfaces (a list of strings)

### getMembers

    public java.util.List getMembers()

  Returns the list of the declared members

### setMembers

    public void setMembers(java.util.List l)

  Sets the members
  Throws:
    `java.lang.IllegalArgumentException` - if l is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.